disarray< T, sequential, A >
Inheritance diagram for disarray< T, sequential, A >:

## Public Types

typedef disarray_rep< T, sequential, A > | rep
typedef smart_pointer< rep > | base
typedef sequential | memory_type
typedef rep::size_type | size_type
typedef rep::difference_type | difference_type
typedef rep::value_type | value_type
typedef rep::reference | reference
typedef rep::dis_reference | dis_reference
typedef rep::iterator | iterator
typedef rep::const_reference | const_reference
typedef rep::const_iterator | const_iterator
Public Types inherited from smart_pointer< disarray_rep< T, sequential, A > >
typedef disarray_rep< T, sequential, A > | handled_type
typedef base::internal | internal

## Public Member Functions

| disarray (size_type loc_size=0, const T &init_val=T(), const A &alloc=A())
void | resize (size_type loc_size=0, const T &init_val=T())
| disarray (const distributor &ownership, const T &init_val=T(), const A &alloc=A())
void | resize (const distributor &ownership, const T &init_val=T())
A | get_allocator () const
size_type | size () const
size_type | dis_size () const
const distributor & | ownership () const
const communicator & | comm () const
reference | operator[] (size_type i)
const_reference | operator[] (size_type i) const
reference | operator() (size_type i)
const_reference | operator() (size_type i) const
const_reference | dis_at (size_type dis_i) const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
dis_reference | dis_entry (size_type dis_i)
template<class SetOp = typename default_set_op<T>::type>
void | dis_entry_assembly (SetOp my_set_op=SetOp())
template<class SetOp = typename default_set_op<T>::type>
void | dis_entry_assembly_begin (SetOp my_set_op=SetOp())
template<class SetOp = typename default_set_op<T>::type>
void | dis_entry_assembly_end (SetOp my_set_op=SetOp())
void | dis_entry_assembly_begin ()
void | dis_entry_assembly_end ()
void | dis_entry_assembly ()
void | get_dis_indexes (std::set< size_type > &ext_idx_set) const
void | reset_dis_indexes () const
template<class Set >
void | set_dis_indexes (const Set &ext_idx_set) const
template<class Set >
void | append_dis_indexes (const Set &ext_idx_set) const
template<class Set , class Map >
void | append_dis_entry (const Set &ext_idx_set, Map &ext_idx_map) const
template<class Set , class Map >
void | get_dis_entry (const Set &ext_idx_set, Map &ext_idx_map) const
template<class RepSize >
void | repartition (const RepSize &partition, disarray< T, sequential, A > &new_disarray, RepSize &old_numbering, RepSize &new_numbering) const
template<class RepSize >
void | permutation_apply (const RepSize &new_numbering, disarray< T, sequential, A > &new_disarray) const
void | reverse_permutation (disarray< size_type, sequential, A > &inew2dis_iold) const
odiststream & | put_values (odiststream &ops) const
idiststream & | get_values (idiststream &ips)
template<class GetFunction >
idiststream & | get_values (idiststream &ips, GetFunction get_element)
template<class PutFunction >
odiststream & | put_values (odiststream &ops, PutFunction put_element) const
void | dump (std::string name) const
Public Member Functions inherited from smart_pointer< disarray_rep< T, sequential, A > >
| smart_pointer (disarray_rep< T, sequential, A > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< disarray_rep< T, sequential, A > > &x)
smart_pointer< disarray_rep< T, sequential, A > > & | operator= (const smart_pointer< disarray_rep< T, sequential, A > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Detailed Description

### template<class T, class A>
class rheolef::disarray< T, sequential, A >

Definition at line 468 of file disarray.h.

## Member Typedef Documentation

## rep

typedef disarray_rep<T,sequential,A> rep

Definition at line 473 of file disarray.h.

## base

typedef smart_pointer<rep> base

Definition at line 474 of file disarray.h.

## memory_type

typedef sequential memory_type

Definition at line 476 of file disarray.h.

## size_type

typedef rep::size_type size_type

Definition at line 477 of file disarray.h.

## difference_type

typedef rep::difference_type difference_type

Definition at line 478 of file disarray.h.

## value_type

typedef rep::value_type value_type

Definition at line 479 of file disarray.h.

## reference

typedef rep::reference reference

Definition at line 480 of file disarray.h.

## dis_reference

typedef rep::dis_reference dis_reference

Definition at line 481 of file disarray.h.

## iterator

typedef rep::iterator iterator

Definition at line 482 of file disarray.h.

## const_reference

typedef rep::const_reference const_reference

Definition at line 483 of file disarray.h.

## const_iterator

typedef rep::const_iterator const_iterator

Definition at line 484 of file disarray.h.

## Constructor & Destructor Documentation

## disarray() [1/2]

disarray | ( | size_type | loc_size = `0`,
|  | const T & | init_val = `T()`,
|  | const A & | alloc = `A()`
| ) |  |

Definition at line 566 of file disarray.h.

## disarray() [2/2]

disarray | ( | const distributor & | ownership,
|  | const T & | init_val = `T()`,
|  | const A & | alloc = `A()`
| ) |  |

Definition at line 575 of file disarray.h.

## Member Function Documentation

## resize() [1/2]

void resize | ( | size_type | loc_size = `0`,
|  | const T & | init_val = `T()`
| ) |  |

Definition at line 585 of file disarray.h.

## resize() [2/2]

void resize | ( | const distributor & | ownership,
|  | const T & | init_val = `T()`
| ) |  |

Definition at line 594 of file disarray.h.

## get_allocator()

A get_allocator | ( |  | ) | const

Definition at line 496 of file disarray.h.

## size()

size_type size | ( |  | ) | const

Definition at line 497 of file disarray.h.

## dis_size()

size_type dis_size | ( |  | ) | const

Definition at line 498 of file disarray.h.

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 499 of file disarray.h.

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 500 of file disarray.h.

## operator[]() [1/2]

reference operator[] | ( | size_type | i | ) |

Definition at line 502 of file disarray.h.

## operator[]() [2/2]

const_reference operator[] | ( | size_type | i | ) | const

Definition at line 503 of file disarray.h.

## operator()() [1/2]

reference operator() | ( | size_type | i | ) |

Definition at line 504 of file disarray.h.

## operator()() [2/2]

const_reference operator() | ( | size_type | i | ) | const

Definition at line 505 of file disarray.h.

## dis_at()

const_reference dis_at | ( | size_type | dis_i | ) | const

Definition at line 506 of file disarray.h.

## begin() [1/2]

iterator begin | ( |  | ) |

Definition at line 508 of file disarray.h.

## begin() [2/2]

const_iterator begin | ( |  | ) | const

Definition at line 509 of file disarray.h.

## end() [1/2]

iterator end | ( |  | ) |

Definition at line 510 of file disarray.h.

## end() [2/2]

const_iterator end | ( |  | ) | const

Definition at line 511 of file disarray.h.

## dis_entry()

dis_reference dis_entry | ( | size_type | dis_i | ) |

Definition at line 515 of file disarray.h.

## dis_entry_assembly() [1/2]

void dis_entry_assembly | ( | SetOp | my_set_op = `SetOp()` | ) |

Definition at line 517 of file disarray.h.

## dis_entry_assembly_begin() [1/2]

void dis_entry_assembly_begin | ( | SetOp | my_set_op = `SetOp()` | ) |

Definition at line 519 of file disarray.h.

## dis_entry_assembly_end() [1/2]

void dis_entry_assembly_end | ( | SetOp | my_set_op = `SetOp()` | ) |

Definition at line 521 of file disarray.h.

## dis_entry_assembly_begin() [2/2]

void dis_entry_assembly_begin | ( |  | ) |

Definition at line 523 of file disarray.h.

## dis_entry_assembly_end() [2/2]

void dis_entry_assembly_end | ( |  | ) |

Definition at line 524 of file disarray.h.

## dis_entry_assembly() [2/2]

void dis_entry_assembly | ( |  | ) |

Definition at line 525 of file disarray.h.

## get_dis_indexes()

void get_dis_indexes | ( | std::set< size_type > & | ext_idx_set | ) | const

Definition at line 527 of file disarray.h.

## reset_dis_indexes()

void reset_dis_indexes | ( |  | ) | const

Definition at line 528 of file disarray.h.

## set_dis_indexes()

void set_dis_indexes | ( | const Set & | ext_idx_set | ) | const

Definition at line 529 of file disarray.h.

## append_dis_indexes()

void append_dis_indexes | ( | const Set & | ext_idx_set | ) | const

Definition at line 530 of file disarray.h.

## append_dis_entry()

void append_dis_entry | ( | const Set & | ext_idx_set,
|  | Map & | ext_idx_map
| ) |  | const

Definition at line 531 of file disarray.h.

## get_dis_entry()

void get_dis_entry | ( | const Set & | ext_idx_set,
|  | Map & | ext_idx_map
| ) |  | const

Definition at line 532 of file disarray.h.

## repartition()

void repartition | ( | const RepSize & | partition,
|  | disarray< T, sequential, A > & | new_disarray,
|  | RepSize & | old_numbering,
|  | RepSize & | new_numbering
| ) |  | const

Definition at line 537 of file disarray.h.

## permutation_apply()

void permutation_apply | ( | const RepSize & | new_numbering,
|  | disarray< T, sequential, A > & | new_disarray
| ) |  | const

Definition at line 545 of file disarray.h.

## reverse_permutation()

void reverse_permutation | ( | disarray< size_type, sequential, A > & | inew2dis_iold | ) | const

Definition at line 550 of file disarray.h.

## put_values() [1/2]

odiststream& put_values | ( | odiststream & | ops | ) | const

Definition at line 556 of file disarray.h.

## get_values() [1/2]

idiststream& get_values | ( | idiststream & | ips | ) |

Definition at line 557 of file disarray.h.

## get_values() [2/2]

idiststream& get_values | ( | idiststream & | ips,
|  | GetFunction | get_element
| ) |  |

Definition at line 559 of file disarray.h.

## put_values() [2/2]

odiststream& put_values | ( | odiststream & | ops,
|  | PutFunction | put_element
| ) |  | const

Definition at line 561 of file disarray.h.

## dump()

void dump | ( | std::string | name | ) | const

Definition at line 562 of file disarray.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/disarray.h